Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515979 - Quota - exclude orphaned VMs from used counts
Summary: Quota - exclude orphaned VMs from used counts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.9.0
Assignee: Tina Fitzgerald
QA Contact: Vatsal Parekh
URL:
Whiteboard: quota
Depends On:
Blocks: 1518374 1597531
TreeView+ depends on / blocked
 
Reported: 2017-11-21 17:47 UTC by Tina Fitzgerald
Modified: 2018-07-03 07:27 UTC (History)
6 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1518374 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:01:44 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tina Fitzgerald 2017-11-21 17:47:59 UTC
Description of problem:
Current quota calculations include orphaned VMs in the used counts.

Version-Release number of selected component (if applicable):


Steps to Reproduce:
1. Setup Quota limits for tenant(values can be 1)
2. Provision a VM and check quota denied message for used counts.
3. Archive an active VM and repeat step 2.
4. Notice the used counts are unchanges.

Actual results:
Orphaned VMs included in used count

Expected results:
Orphaned VMs excluded in used count

Additional info:

Comment 2 Tina Fitzgerald 2017-11-21 18:01:53 UTC
This PR should resolve the issue:
https://github.com/ManageIQ/manageiq-content/pull/132

Comment 3 Dave Johnson 2017-11-21 18:02:42 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 Vatsal Parekh 2017-12-14 12:57:27 UTC
Able to verify this on Version 5.9.0.13.20171212214416_f4f190a


Note You need to log in before you can comment on or make changes to this bug.